
case node['platform']
when 'debian'
  package 'kmod'
when 'exherbo'
  package 'sys-apps/kmod'
end

case node['platform']
when 'fedora', 'arch', 'exherbo'
  directory '/etc/modules-load.d' do
    owner 'root'
    group 'root'
    mode '0755'
    action :create
  end
end

directory '/etc/modprobe.d' do
  owner 'root'
  group 'root'
  mode '0755'
  action :create
end

node['systemd']['modules-load'].each do |name, opts|
  systemd_kmod name do
    %w(options action actions).each do |attr|
      next unless opts[attr]
      if attr == 'actions'
        send('action', opts[attr])
      else
        send(attr, opts[attr])
      end
    end
  end
end
